{
  "name": "nianxx-h5",
  "version": "1.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "node ./node_modules/vue-tsc/bin/vue-tsc.js --noEmit && node ./node_modules/vite/bin/vite.js build --mode production",
    "build:staging": "node ./node_modules/vue-tsc/bin/vue-tsc.js --noEmit && node ./node_modules/vite/bin/vite.js build --mode staging",
    "build:prod": "node ./node_modules/vue-tsc/bin/vue-tsc.js --noEmit && node ./node_modules/vite/bin/vite.js build --mode production",
    "preview": "vite preview --host 0.0.0.0",
    "typecheck": "node ./node_modules/vue-tsc/bin/vue-tsc.js --noEmit",
    "test": "node --test src/**/*.test.ts"
  },
  "dependencies": {
    "@lucide/vue": "^1.17.0",
    "axios": "^1.16.1",
    "mitt": "^3.0.1",
    "pinia": "^3.0.3",
    "socket.io-client": "^4.8.3",
    "vant": "^4.9.24",
    "vue": "^3.5.13",
    "vue-i18n": "11.4.4",
    "vue-router": "^4.5.1",
    "vue3-markdown-it": "^1.0.10"
  },
  "devDependencies": {
    "@tailwindcss/vite": "^4.1.12",
    "@tsconfig/node20": "^20.1.6",
    "@types/node": "^22.13.14",
    "@vant/auto-import-resolver": "^1.3.0",
    "@vitejs/plugin-legacy": "^6.0.1",
    "@vitejs/plugin-vue": "^5.2.1",
    "@vitejs/plugin-vue-jsx": "^4.1.1",
    "@vue/tsconfig": "^0.7.0",
    "concurrently": "^9.2.1",
    "sass": "^1.70.0",
    "tailwindcss": "^4.1.12",
    "terser": "^5.16.0",
    "typescript": "^5.8.3",
    "unplugin-auto-import": "^21.0.0",
    "unplugin-vue-components": "^32.1.0",
    "vconsole": "^3.15.1",
    "vite": "^6.1.1",
    "vue-tsc": "^2.1.10"
  }
}
